Changeset: 6c53ea638a80 for MonetDB
URL: http://dev.monetdb.org/hg/MonetDB?cmd=changeset;node=6c53ea638a80
Modified Files:
        
Branch: default
Log Message:

Merge with Jun2010 branch.


diffs (200 lines):

diff -r b6cf4d771a87 -r 6c53ea638a80 buildtools/ChangeLog.Jun2010
--- a/buildtools/ChangeLog.Jun2010      Thu Jul 22 11:18:57 2010 +0200
+++ b/buildtools/ChangeLog.Jun2010      Thu Jul 22 14:04:34 2010 +0200
@@ -1,6 +1,10 @@
 # ChangeLog file for buildtools
 # This file is updated with Maddlog
 
+* Thu Jul 22 2010 Sjoerd Mullender <sjo...@acm.org>
+- Changed Maddlog to search up the directory tree to find a ChangeLog
+  file.
+
 * Wed Mar 31 2010 Stefan Manegold <maneg...@cwi.nl>
 - Made compilation of "testing" (and "java") independent of MonetDB.
   This is mainly for Windows, but also on other systems, "testing" can
diff -r b6cf4d771a87 -r 6c53ea638a80 buildtools/conf/Maddlog
--- a/buildtools/conf/Maddlog   Thu Jul 22 11:18:57 2010 +0200
+++ b/buildtools/conf/Maddlog   Thu Jul 22 14:04:34 2010 +0200
@@ -1,49 +1,35 @@
 #!/usr/bin/env bash
 # -*-shell-script-*-
 
-d=.
-while [ ! -f $d/vertoo.data ]; do
-    if [ $d -ef / ]; then
-       echo "$0: cannot find top directory of package" >&2
-       exit 1
-    fi
-    d=../$d
-done
-CL=$d/ChangeLog
-if hg root >& /dev/null ; then
-    tag=$(hg branch)
-    case $tag in
-    default)
-       ;;
-    *)
-       CL=$CL.${tag}
-       ;;
-    esac
-    root=$(hg root)
-    root=$(cd $root && \pwd -P)
-    dir=$(cd $d && \pwd -P)
-    proj=${dir#${root}/}
+usage() {
+    cat >&2 <<-EOF
+       $0: unknown option $1
+       Usage: $0 [options] [log message]
+       Valid options are:
+       --logfile=filename (-f filename)
+       --commit
+       If no log message, one will be prompted for.
+       EOF
+    exit 1
+}
 
-    PROJECT=${proj%%/*}
-    IDENTITY=$(hg showconfig ui.username)
-else
-    echo "Cannot use this script outside a Mercurial repository" > /dev/stder
-    exit -1
-fi
-
+CL=
 nocommit=true
 while [ $# -gt 0 ]; do
     case "$1" in
-    --logfile=*)
+    --logfile=?*)
        CL=${1#--logfile=}
        shift
        ;;
     --logfile|-f)
+       if [ $# -lt 2 ]; then
+           usage
+       fi
        CL=$2
        shift
        shift
        ;;
-    -f*)
+    -f?*)
        CL=${1#-f}
        shift
        ;;
@@ -56,13 +42,7 @@
        break
        ;;
     -*)
-       cat >&2 <<-EOF
-       $0: unknown option $1
-       Valid options are:
-       --logfile=filename (-f filename)
-       --commit
-       EOF
-       exit 1
+       usage
        ;;
     *)
        break
@@ -70,6 +50,44 @@
     esac
 done
 
+if ! hg root >& /dev/null ; then
+    echo "Cannot use this script outside a Mercurial repository" >&2
+    exit -1
+fi
+
+tag=$(hg branch)
+
+case "$CL" in
+'')
+    d=.
+    while [ ! -f $d/vertoo.data -a ! -f $d/ChangeLog -a ! -f $d/ChangeLog.$tag 
]; do
+       if [ $d -ef / ]; then
+           echo "$0: cannot find top directory of package" >&2
+           exit 1
+       fi
+       d=../$d
+    done
+    CL=$d/ChangeLog
+    case $tag in
+    default)
+       ;;
+    *)
+       CL=$CL.${tag}
+       ;;
+    esac
+    dir=$(cd $d && \pwd -P)
+    ;;
+*/*)
+    dir=$(cd "${CL%/*}"; \pwd -P)
+    ;;
+*)
+    dir=$(\pwd -P)
+    ;;
+esac
+
+PROJECT=${dir##*/}
+IDENTITY=$(hg showconfig ui.username)
+
 if [ $# -gt 0 ]; then
     msg=$*
 else
diff -r b6cf4d771a87 -r 6c53ea638a80 clients/src/mapilib/Mapi.mx
--- a/clients/src/mapilib/Mapi.mx       Thu Jul 22 11:18:57 2010 +0200
+++ b/clients/src/mapilib/Mapi.mx       Thu Jul 22 14:04:34 2010 +0200
@@ -2405,7 +2405,7 @@
                        mid->hostname = strdup("localhost");
 
                if ((hp = gethostbyname(mid->hostname)) == NULL) {
-                       snprintf(errbuf, sizeof(errbuf), "gethostbyname failed: 
%s", strerror(errno));
+                       snprintf(errbuf, sizeof(errbuf), "gethostbyname failed: 
%s", errno ? strerror(errno) : hstrerror(h_errno));
                        return mapi_setError(mid, errbuf, "mapi_reconnect", 
MERROR);
                }
                memset(&server, 0, sizeof(server));
diff -r b6cf4d771a87 -r 6c53ea638a80 java/src/nl/cwi/monetdb/jdbc/MonetBlob.java
--- a/java/src/nl/cwi/monetdb/jdbc/MonetBlob.java       Thu Jul 22 11:18:57 
2010 +0200
+++ b/java/src/nl/cwi/monetdb/jdbc/MonetBlob.java       Thu Jul 22 14:04:34 
2010 +0200
@@ -39,7 +39,7 @@
                int len = in.length() / 2;
                buf = new byte[len];
                for (int i = 0; i < len; i++)
-                       buf[i] = Byte.parseByte(in.substring(2 * i, (2 * i) + 
2), 16);
+                       buf[i] = (byte)Integer.parseInt(in.substring(2 * i, (2 
* i) + 2), 16);
        }
 
        //== begin interface Blob
diff -r b6cf4d771a87 -r 6c53ea638a80 
sql/src/test/BugTracker-2010/Tests/connectto.Bug-2548.stable.err
--- a/sql/src/test/BugTracker-2010/Tests/connectto.Bug-2548.stable.err  Thu Jul 
22 11:18:57 2010 +0200
+++ b/sql/src/test/BugTracker-2010/Tests/connectto.Bug-2548.stable.err  Thu Jul 
22 14:04:34 2010 +0200
@@ -71,9 +71,15 @@
 # 13:12:55 >  mclient -lsql -ftest -i -e --host=rig --port=39884 
 # 13:12:55 >  
 
-MAPI  = mone...@rig:39884
+MAPI  = mone...@alviss:32394
 QUERY = connect to default;
 ERROR = !CONNECT TO: DEFAULT is not supported!
+MAPI  = mone...@alviss:32394
+QUERY = connect to 'whatever' port 50001 database 'nonexisting' USER 'monetdb' 
PASSWORD 'monetdb' LANGUAGE 'mal';
+ERROR = !IOException:mapi.connect:Could not connect: gethostbyname failed: 
Unknown host
+MAPI  = mone...@alviss:32394
+QUERY = disconnect 'whatever';
+ERROR = !DISCONNECT CATALOG: no such db_alias 'whatever'
 
 # 13:12:55 >  
 # 13:12:55 >  Done.
diff -r b6cf4d771a87 -r 6c53ea638a80 
sql/src/test/BugTracker-2010/Tests/connectto.Bug-2548.stable.out
--- a/sql/src/test/BugTracker-2010/Tests/connectto.Bug-2548.stable.out  Thu Jul 
22 11:18:57 2010 +0200
+++ b/sql/src/test/BugTracker-2010/Tests/connectto.Bug-2548.stable.out  Thu Jul 
22 14:04:34 2010 +0200
@@ -23,8 +23,6 @@
 # 13:12:55 >  mclient -lsql -ftest -i -e --host=rig --port=39884 
 # 13:12:55 >  
 
-! to be provided / approved !
-
 # 13:12:55 >  
 # 13:12:55 >  Done.
 # 13:12:55 >  
_______________________________________________
Checkin-list mailing list
Checkin-list@monetdb.org
http://mail.monetdb.org/mailman/listinfo/checkin-list

Reply via email to